douyin 16
15 个接口
POSTmulti get author info
POST https://dkai.store/api/v1/douyin/xingtu_v2/multi_get_author_info2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTmulti get item stats
POST https://dkai.store/api/v1/douyin/xingtu_v2/multi_get_item_stats35 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch anchor
GET https://dkai.store/api/v1/douyin/xingtu_v2/search_anchor1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu_v2/search_anchor?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch creator
GET https://dkai.store/api/v1/douyin/xingtu_v2/search_creator2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu_v2/search_creator'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch toutiao creator
GET https://dkai.store/api/v1/douyin/xingtu_v2/search_toutiao_creator1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu_v2/search_toutiao_creator?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETauthor content hot comment keywords v1
GET https://dkai.store/api/v1/douyin/xingtu/author_content_hot_comment_keywords_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
kolId | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/author_content_hot_comment_keywords_v1?kolId=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETauthor homepage videos v1
GET https://dkai.store/api/v1/douyin/xingtu/author_homepage_videos_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
oAuthorId | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/author_homepage_videos_v1?oAuthorId=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETauthor hot comment tokens v1
GET https://dkai.store/api/v1/douyin/xingtu/author_hot_comment_tokens_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
kolId | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/author_hot_comment_tokens_v1?kolId=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget sign image
GET https://dkai.store/api/v1/douyin/xingtu/get_sign_image1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uri | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/get_sign_image?uri=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget xingtu kolid by sec user id
GET https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_sec_user_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
sec_user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_sec_user_id?sec_user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget xingtu kolid by uid
GET https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_uid1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_uid?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget xingtu kolid by unique id
GET https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_unique_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
unique_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/get_xingtu_kolid_by_unique_id?unique_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETkol audience portrait v1
GET https://dkai.store/api/v1/douyin/xingtu/kol_audience_portrait_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
kolId | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/kol_audience_portrait_v1?kolId=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETkol base info v1
GET https://dkai.store/api/v1/douyin/xingtu/kol_base_info_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
kolId | query | 必填 | |
platformChannel | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/kol_base_info_v1?kolId=VALUE&platformChannel=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETkol conversion ability analysis v1
GET https://dkai.store/api/v1/douyin/xingtu/kol_conversion_ability_analysis_v118 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
kolId | query | 必填 | |
_range | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/xingtu/kol_conversion_ability_analysis_v1?kolId=VALUE&_range=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。